import { r as registerInstance, h } from './index-dd1fc9a4.js';
import { D as Dropdown } from './Dropdown-3c97a7dc.js';

const UIDropdown = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.open = false;
    }
    render() {
        return (h(Dropdown, Object.assign({}, this), h("slot", null)));
    }
};

export { UIDropdown as ui_dropdown };
